Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "a536c85b-f47c-4057-b95e-4698e2b314be",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "b36a8b2b-f8b0-42ae-bae6-610a4803599f",
"company_code": "sample string 5",
"company": {
"id": "24e725f0-29e9-4895-962e-a49411743eee",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-17T05:56:10.7390277+00:00",
"sales_territory_id": "5ddaf729-b01b-4c9e-8f69-6c1d906fc67a",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "1e7826e3-05de-4b6c-82e8-77b9037665b2",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "23dadfe5-7f55-4679-a3c2-3eacb9c3cb0c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "30739b8d-fbd3-49db-8756-d6581f6e2fce",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5204f2db-4738-40a4-b935-9a8251a2c00c",
"db_currency_id": "1ef80e26-8cc3-435a-855b-1e18a10dfc87",
"db_language_id": "79a04ddd-5807-4894-9554-d04c2b9b5a20",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-17T05:56:10.7546601+00:00"
},
"modified_dateutc": "2026-10-17T05:56:10.7546601+00:00"
},
"marketing_segment_id": "82257a28-719b-49e3-8035-2dc6e40f282e",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "65a49403-8702-49a3-8112-b1fce03506a7",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "6187cd6b-e734-4cd5-9a11-03c29a0fda88",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "266322e7-7c6c-4f2c-acae-ed22030325ee",
"db_country_code": "sample string 28",
"feelist_id": "51c7ccdc-4c8e-4d16-ac75-32cf1b6511ee",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "a49d42b4-7542-4b20-87aa-d00b3986e103",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "e1b32ea5-5004-414c-8b38-735def7188a7",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-17T05:56:10.7546601+00:00",
"db_currency_id": "646e7fb1-90e0-4c66-b0f4-4cb838fc159d",
"db_currency_code": "sample string 10"
},
"company_type_id": "5cb6f3b6-b10e-4569-86c1-b9f42181af2a",
"company_type_name": "sample string 32",
"company_type": {
"id": "5377f8b5-1027-435a-b22f-f4c0febd8b64",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "8284fd95-9cb7-4072-8109-c790571e0c78",
"sales_organization_code": "sample string 5"
},
"db_language_id": "fa42aedf-b46f-48e4-a100-47a167b5ab9d",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "f46356eb-0942-409d-9b18-1655592189dc",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "13965287-5946-4f7a-89b8-8174d4238448",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "b36bc182-7903-4b0c-8c32-477ccdd34de6",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-17T05:56:10.7546601+00:00"
},
"company_sector_id": "1acc1fe5-170c-4ccd-86ef-36d6f18455a0",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "73c72281-0d9b-4f5b-947b-5b7fce476e8d",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "d6adda6b-333c-4d5c-b31f-aaef14823f73",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "c96fa7a4-338d-43c5-8c4c-4b2a82fd2e7c",
"account_manager_user_code": "sample string 56",
"company_status_id": "53141474-d2de-4bc9-ae86-be2ba7a072d1",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-17T05:56:10.7546601+00:00",
"id2": 60
},
"db_language_id": "1916f9ab-2f66-4dd1-9f24-55953ed6000a",
"db_language_code": "sample string 7",
"db_title_id": "e6831aaa-4f02-4e8e-99ea-56ebe2988e4a",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-17T05:56:10.7546601+00:00",
"create_date": "2026-10-17T05:56:10.7546601+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-17T05:56:10.7546601+00:00"
}